# Method: getPublicKeys

- [HTTP request](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getPublicKeys#body.HTTP_TEMPLATE)
- [Request body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getPublicKeys#body.request_body)
- [Response body](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getPublicKeys#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getPublicKeys#body.aspect)
- [Try it!](https://docs.cloud.google.com/identity-platform/docs/reference/rest/v1/TopLevel/getPublicKeys#try-it)

Retrieves public keys of the legacy Identity Toolkit token signer to enable third parties to verify the legacy ID token. For now the X509 pem cert is the only format supported.

### HTTP request

`GET https://identitytoolkit.googleapis.com/v1/publicKeys`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://protobuf.dev/reference/protobuf/google.protobuf#struct`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/identitytoolkit`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).